"use strict";

var videoPageFunctions = {
	id: -1,
	mounted: function mounted() {
		var id = Main.createFlump(this.$el, "boom", "~VIDEOS_Idle", -230, -90, false);
		videoPageFunctions.id = id;
	},
	destroyed: function destroyed() {
		Main.destroyMovie(videoPageFunctions.id);
	}
};
Vue.component('videoSignCanvas', { mixins: [videoPageFunctions],
	template: '<canvas width="920" height="410" class="pageVideo__fantistic"></canvas>'
});

var videoData = { width: window.innerWidth };
window.addEventListener('resize', function () {
	videoData.width = window.innerWidth;
});

var PageVideo = { data: function data() {
		return videoData;
	},
	template: "\n\t\t<div class=\"pageVideo\">\n\t\t\t<menuButton></menuButton>\n\t\t\t<homeLogo></homeLogo>\n\n\t\t\t<div class=\"max-width-4 mx-auto\">\n\t\t\t\t<videoSignCanvas></videoSignCanvas>\n\t\t\t</div>\n\t\t\t<div class=\"\">\n\t\t\t\t<div class=\"max-width-4 mx-auto relative\">\n\t\t\t\t\t<img src=\"./assets/img/video/shelf/signBonus.png\" class=\"pageVideo__videoDisplay_sign bonus\">\n\t\t\t\t\t<img src=\"./assets/img/video/shelf/signSale.png\" class=\"pageVideo__videoDisplay_sign sale\">\n\t\t\t\t</div>\n\n\t\t\t\t<div v-if=\"width>1024\">\n\t\t\t\t\t<video-tripleColumn></video-tripleColumn>\n\t\t\t\t</div>\n\n\t\t\t\t<div v-else-if=\"width>832\">\n\t\t\t\t\t<video-tripleColumn></video-tripleColumn>\n\t\t\t\t</div>\n\n\t\t\t\t<div v-else-if=\"width>640\">\n\t\t\t\t\t<video-doubleColumn></video-doubleColumn>\n\t\t\t\t</div>\n\n\t\t\t\t<div v-else>\n\t\t\t\t\t<video-singleColumn></video-singleColumn>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"pageVideo__videoDisplay shadow\"></div>\n\t\t\t\t\n\t\t\t\t<a href=\"http://www.cartoonnetwork.com/video/ok-ko/episodes/index.html\" target=\"_blank\">\n\t\t\t\t\t<img src=\"./assets/img/video/checkOutMore.png\" class=\"pageVideo__checkOutMore hoverButton\">\n\t\t\t\t</a>\n\t\t\t</div>\n\t\t</div>",
	head: { title: { inner: "OK K.O.! Let's Be Heroes"
		},
		meta: [{ name: 'application-name', content: "OK K.O.! Let's Be Heroes | Watch Free Online Videos | Cartoon Network" }, { name: 'description', content: "Watch K.O., Enid, Radicles and all the other citizens of Lakewood Plaza in free online videos from OK K.O.! Let's Be Heroes.", id: 'desc' }]
	}
};

Vue.component('video-tripleColumn', { template: "\n\t\t<div>\n\t\t\t<div class=\"pageVideo__videoDisplay top\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginTop\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/lets-be-heroes-episode.html\" title=\"Let\u2019s Be Heroes\" imgSrc=\"./assets/img/video/item/s01e01.png\"></video-item>\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/lets-be-friends-episode.html\" title=\"Let\u2019s Be Friends\" imgSrc=\"./assets/img/video/item/s01e02.png\"></video-item>\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/youre-everybodys-sidekick-episode.html\" title=\"You\u2019re Everybody\u2019s Sidekick\" imgSrc=\"./assets/img/video/item/s01e03.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t<div class=\"pageVideo__videoDisplay bottom\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginBottom\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/we-messed-up-episode.html\" title=\"We Messed Up\" imgSrc=\"./assets/img/video/item/s01e04.png\"></video-item>\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/jethros-all-yours-episode.html\" title=\"Jethro\u2019s All Yours\" imgSrc=\"./assets/img/video/item/s01e05.png\"></video-item>\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/youre-level-100-episode.html\" title=\"You\u2019re Level 100!\" imgSrc=\"./assets/img/video/item/s01e06.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>"
});

Vue.component('video-doubleColumn', { template: "\n\t\t<div>\n\t\t\t<div class=\"pageVideo__videoDisplay top\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginTop\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/lets-be-heroes-episode.html\" title=\"Let\u2019s Be Heroes\" imgSrc=\"./assets/img/video/item/s01e01.png\"></video-item>\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/lets-be-friends-episode.html\" title=\"Let\u2019s Be Friends\" imgSrc=\"./assets/img/video/item/s01e02.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t<div class=\"pageVideo__videoDisplay middle\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginMiddle\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/youre-everybodys-sidekick-episode.html\" title=\"You\u2019re Everybody\u2019s Sidekick\" imgSrc=\"./assets/img/video/item/s01e03.png\"></video-item>\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/we-messed-up-episode.html\" title=\"We Messed Up\" imgSrc=\"./assets/img/video/item/s01e04.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t<div class=\"pageVideo__videoDisplay bottom\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginBottom\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/jethros-all-yours-episode.html\" title=\"Jethro\u2019s All Yours\" imgSrc=\"./assets/img/video/item/s01e05.png\"></video-item>\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/youre-level-100-episode.html\" title=\"You\u2019re Level 100!\" imgSrc=\"./assets/img/video/item/s01e06.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>"
});

Vue.component('video-singleColumn', { template: "\n\t\t<div>\n\t\t\t<div class=\"pageVideo__videoDisplay top\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginTop\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/lets-be-heroes-episode.html\" title=\"Let\u2019s Be Heroes\" imgSrc=\"./assets/img/video/item/s01e01.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t<div class=\"pageVideo__videoDisplay middle\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginMiddle\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/lets-be-friends-episode.html\" title=\"Let\u2019s Be Friends\" imgSrc=\"./assets/img/video/item/s01e02.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t<div class=\"pageVideo__videoDisplay middle\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginMiddle\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/youre-everybodys-sidekick-episode.html\" title=\"You\u2019re Everybody\u2019s Sidekick\" imgSrc=\"./assets/img/video/item/s01e03.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t<div class=\"pageVideo__videoDisplay middle\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginMiddle\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/we-messed-up-episode.html\" title=\"We Messed Up\" imgSrc=\"./assets/img/video/item/s01e04.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t<div class=\"pageVideo__videoDisplay middle\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginMiddle\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/jethros-all-yours-episode.html\" title=\"Jethro\u2019s All Yours\" imgSrc=\"./assets/img/video/item/s01e05.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t<div class=\"pageVideo__videoDisplay bottom\">\n\t\t\t\t<div class=\"max-width-4 mx-auto pageVideo__videoDisplay__items videoMarginBottom\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<video-item urlPath=\"http://www.cartoonnetwork.com/video/ok-ko/youre-level-100-episode.html\" title=\"You\u2019re Level 100!\" imgSrc=\"./assets/img/video/item/s01e06.png\"></video-item>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>"
});

Vue.component('video-item', { props: ['title', 'imgSrc', 'className', 'urlPath'],
	template: "\n\t\t<div class=\"col col-12 sm-col-6 md-col-4 px1 scaleIn\">\n\t\t\t<div class=\"videoItemContainer\">\n\t\t\t\t<div class=\"relative\">\n\t\t\t\t\t<img :src=\"imgSrc\">\n\t\t\t\t\t<a :href=\"urlPath\">\n\t\t\t\t\t\t<img src=\"./assets/img/video/item/videoThumbPlayButton.png\" class=\"pageVideo__videoThumb_btn\">\n\t\t\t\t\t</a>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"relative\">\n\t\t\t\t\t<img src=\"./assets/img/video/item/videoThumbBanner.png\" class=\"pageVideo__videoThumb_banner\">\n\t\t\t\t\t<span class=\"pageVideo__videoThumb_banner_text\">\n\t\t\t\t\t\t{{ title }}\n\t\t\t\t\t</span>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>"
});